Bug 30595 - update_child_to_adult.t is failing randomly
Summary: update_child_to_adult.t is failing randomly
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-04-22 09:42 UTC by Jonathan Druart
Modified: 2022-05-10 01:43 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00,21.11.06,21.05.15


Attachments
Bug 30595: Prevent update_child_to_adult.t to fail randomly (1.73 KB, patch)
2022-04-22 09:43 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2022-04-22 09:42:03 UTC
t/db_dependent/selenium/update_child_to_adult.t ..         # Looks like you planned 3 tests but ran 2.

    #   Failed test 'Update child to adult'
    #   at t/db_dependent/selenium/update_child_to_adult.t line 132.
    # Looks like you planned 3 tests but ran 2.
    # Looks like you failed 1 test of 2 run.
t/db_dependent/selenium/update_child_to_adult.t .. 1/1 
#   Failed test 'Update child to patron'
#   at t/db_dependent/selenium/update_child_to_adult.t line 153.
Cannot wait more for element '//input[@type="submit"]' to be visible at /kohadevbox/koha/t/lib/Selenium.pm line 189.
# Looks like your test exited with 255 just after 1.
Comment 1 Jonathan Druart 2022-04-22 09:43:50 UTC
Created attachment 133644 [details] [review]
Bug 30595: Prevent update_child_to_adult.t to fail randomly

t/db_dependent/selenium/update_child_to_adult.t ..         # Looks like you planned 3 tests but ran 2.

    #   Failed test 'Update child to adult'
    #   at t/db_dependent/selenium/update_child_to_adult.t line 132.
    # Looks like you planned 3 tests but ran 2.
    # Looks like you failed 1 test of 2 run.
t/db_dependent/selenium/update_child_to_adult.t .. 1/1
 #   Failed test 'Update child to patron'
 #   at t/db_dependent/selenium/update_child_to_adult.t line 153.
Cannot wait more for element '//input[@type="submit"]' to be visible at /kohadevbox/koha/t/lib/Selenium.pm line 189.

It happens when there are too many patron's categories and the submit
button is not in the viewport.
Comment 2 Fridolin Somers 2022-04-22 18:53:05 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 3 Kyle M Hall 2022-04-29 17:33:56 UTC
Pushed to 21.11.x for 21.11.06
Comment 4 Andrew Fuerste-Henry 2022-05-03 20:09:48 UTC
Pushed to 21.05.x for 21.05.15
Comment 5 Victor Grousset/tuxayo 2022-05-10 01:43:49 UTC
Not backported to oldoldstable (20.11.x). Feel free to ask if it's needed.